Bug 605560 - mute key is not working on x200 laptop
Summary: mute key is not working on x200 laptop
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: John Feeney
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 645454
TreeView+ depends on / blocked
 
Reported: 2010-06-18 09:31 UTC by Qian Cai
Modified: 2013-01-10 07:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The hardware mute button on Lenovo ThinkPad X200 notebooks does not work. Note, however, that the volume down and volume up buttons function correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 16:05:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa log (17.69 KB, text/plain)
2010-06-24 14:21 UTC, Qian Cai
no flags Details
dmesg (82.89 KB, text/plain)
2010-07-20 14:48 UTC, Qian Cai
no flags Details

Description Qian Cai 2010-06-18 09:31:03 UTC
Description of problem:
The mute key is not working on my x200 laptop. Not sure which component this is, so feel free to assign to a more proper one.

Version-Release number of selected component (if applicable):
metacity-2.28.0-15.el6.x86_64
gnome-panel-libs-2.28.0-24.el6.x86_64
gnome-desktop-2.28.2-7.el6.x86_64
gnome-settings-daemon-2.28.2-5.el6.x86_64
gnome-applets-2.28.0-5.el6.x86_64
gnome-media-2.29.91-6.el6.x86_64

How reproducible:
always

Comment 1 Bastien Nocera 2010-06-21 12:34:39 UTC
What's the output of "xev" when you press that button?

Comment 2 Qian Cai 2010-06-21 15:24:12 UTC
No output at all.

Comment 3 Bastien Nocera 2010-06-21 16:07:46 UTC
Then it's the kernel that's missing support for it.

Comment 4 Peter Martuccelli 2010-06-23 18:25:20 UTC
Maybe an ALSA support issue.

Comment 5 Jaroslav Kysela 2010-06-24 11:49:21 UTC
Please, attach output from the 'alsa-info.sh --no-upload' command.

Comment 6 Qian Cai 2010-06-24 14:21:37 UTC
Created attachment 426590 [details]
alsa log

Comment 8 Jaroslav Kysela 2010-07-16 14:07:00 UTC
Could you, please, try the hda-analyzer to see if there are some changes in the GPIO pins? Run as root:

# wget -O run.py http://www.alsa-project.org/hda-analyzer.py
# python run.py --monitor

The changes inside the HDA codec registers should be printed (if you change mixer settings etc.). I need only information what changes when you press the mute button. You can break the application using Ctrl-C.

Comment 9 Jaroslav Kysela 2010-07-16 14:14:27 UTC
Also note that the GPIO pins may be enabled at first in hda-analyzer (try it if no changes appears with the first --monitor run):

# python run.py

- select codec on left tree
- mark all GPIO check boxes named 'enabled' in the right window

Comment 10 Qian Cai 2010-07-16 14:16:06 UTC
# python run.py --monitor
Using temporary directory: /dev/shm/hda-analyzer
You may remove this directory when finished or if you like to
download the most recent copy of hda-analyzer tool.
Downloading file hda_analyzer.py
Downloading file hda_guilib.py
Downloading file hda_codec.py
Downloading file hda_proc.py
Downloading file hda_graph.py
Downloaded all files, executing hda_analyzer.py
Traceback (most recent call last):
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 484, in <module>
    sys.exit(main(sys.argv))
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 461, in main
    if read_nodes(sys.argv[1:]) == 0:
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 90, in read_nodes
    read_nodes2(c.card, i)
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 74, in read_nodes2
    DIFF_TREE[card][c.device] = c.dump()
  File "/dev/shm/hda-analyzer/hda_codec.py", line 1157, in dump
    str += self.dump_node(self.nodes[i])
  File "/dev/shm/hda-analyzer/hda_codec.py", line 1320, in dump_node
    str += self.dump_node_extra(node)
  File "/dev/shm/hda-analyzer/hda_codec.py", line 1359, in dump_node_extra
    return self.proc_codec.dump_node_extra(node)
  File "/dev/shm/hda-analyzer/hda_proc.py", line 758, in dump_node_extra
    node = self.proc_nids[node.nid]
KeyError: 16

Comment 11 Jaroslav Kysela 2010-07-17 07:16:59 UTC
Thanks. I fixed this issue. Remove '/dev/shm/hda-analyzer' directory and run.py script and do things again.

Comment 12 Qian Cai 2010-07-18 07:36:32 UTC
(In reply to comment #9)
> Also note that the GPIO pins may be enabled at first in hda-analyzer (try it if
> no changes appears with the first --monitor run):
> 
> # python run.py
> 
> - select codec on left tree
> - mark all GPIO check boxes named 'enabled' in the right window    
I printed out nothing even after this change.

Comment 13 Jaroslav Kysela 2010-07-18 16:30:29 UTC
Ok, then this issue does not seem to be ALSA related. Just for sure - if you change volume settings, the monitor command shows some changes?

It seems like an ACPI bug. It would be probably good to consult this issue with Lenovo to have information where is the button connected.

Also, this bug is marked as regression. In which configuration the mute button works?

Comment 14 Qian Cai 2010-07-19 02:29:56 UTC
(In reply to comment #13)
> Ok, then this issue does not seem to be ALSA related. Just for sure - if you
> change volume settings, the monitor command shows some changes?
Yes.

> It seems like an ACPI bug. It would be probably good to consult this issue with
> Lenovo to have information where is the button connected.
> 
> Also, this bug is marked as regression. In which configuration the mute button
> works?    
RHEL5 if I remember correctly.

Comment 15 Jaroslav Kysela 2010-07-20 14:13:58 UTC
I believe that it's not an ALSA issue. The RHEL5 audio driver has no extra support for mute key.

Google figured that it might be an ACPI issue:

https://patchwork.kernel.org/patch/96328/

Comment 16 Matthew Garrett 2010-07-20 14:27:58 UTC
Can you define what you mean by "Doesn't work"? Thinkpads have a separate mixer element controlled by the mute key, so you shouldn't expect any notification from it.

Comment 17 Qian Cai 2010-07-20 14:33:20 UTC
If you press mute key, the sound did not mute and there is no pop up icon. volume up and volume down keys are working both functionally and icon popup.

Comment 18 Matthew Garrett 2010-07-20 14:42:53 UTC
Could you attach the dmesg output after boot?

Comment 19 Qian Cai 2010-07-20 14:48:29 UTC
Created attachment 433188 [details]
dmesg

Comment 20 Peter Martuccelli 2010-08-02 15:11:25 UTC
Added a release note, and moved the BZ out to R6.1.

Comment 21 Peter Martuccelli 2010-08-02 15:11:25 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Mute key does not work on x200 laptops.  The volume up and down keys are functional and should be used to control output volume.

Comment 25 Ryan Lerch 2010-09-17 03:06:35 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Mute key does not work on x200 laptops.  The volume up and down keys are functional and should be used to control output volume.+The hardware mute button on Lenovo ThinkPad X200 notebooks does not work. Note, however, that the volume down and volume up buttons function correctly.

Comment 27 RHEL Product and Program Management 2010-10-28 17:09:36 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 28 Matthew Garrett 2010-11-15 15:56:49 UTC
We don't have any of these machines available in Westford (they're no longer manufactured) and we don't seem to have any feedback from customers requesting this, so I'm inclined to drop this for 6.1.

Comment 29 RHEL Product and Program Management 2010-11-15 16:05:02 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.